# Required parameters

<table data-header-hidden data-full-width="true"><thead><tr><th width="340"></th><th></th></tr></thead><tbody><tr><td><h2><a href="/pages/x85yQo4Rv2SxDgkSOG3w"><mark style="color:blue;"><code>buy_orders_count</code></mark></a></h2></td><td>Responsible for the number of buy orders placed.</td></tr><tr><td><h2><a href="#sell_orders_count-integer-or-formula-greater-than-integer"><mark style="color:blue;"><code>sell_orders_count</code></mark></a></h2></td><td>Responsible for the number of sell orders placed.</td></tr><tr><td><h2><a href="/pages/oRWHlqsXiv1WwNDo6C2R"><mark style="color:blue;"><code>execute_price</code></mark></a></h2></td><td>Determines the price of the orders being placed.</td></tr><tr><td><h2><a href="/pages/yiZ5JRS6cdToVh7DT97J"><mark style="color:blue;"><code>execute_volume</code></mark></a></h2></td><td>Specifies the amount to be placed, denominated in the base token.</td></tr></tbody></table>

<details>

<summary>An example of a simple grid</summary>

The grid will place two sell orders and two buy orders, each with a 0.5% increment from the current market price. The order amount will be 10 divided by the current market price.

```json
{
    "execute_price": "ticker()*(1+0.005*order_pos)",
    "execute_volume": "10/ticker()",
    "buy_orders_count": "2",
    "sell_orders_count": "2"
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.origami.tech/function/required-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
